Docs
Execute Query
POST /documents/{documentId}/query/{blockId}
POST
/documents/{documentId}/query/{blockId}Runs the QueryBlock identified by blockId in a document and returns the rows (or groups when the block groups). The blockId is the TipTap unique id of the queryBlock node in the document content from DynamicDocs_GetDocument. Variable references in filters use the variables map in the request; filters for unresolved variables are dropped. This is a read despite being a POST.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| documentId | uuid | Required | |
| blockId | string | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| variables | object | Optional |
Response
| Field | Type | Description |
|---|---|---|
| rows | object[]| null | |
| groups | QueryGroupResponse[]| null |
QueryGroupResponse
| Field | Type | Description |
|---|---|---|
| key | string| null | |
| rows | object[]| null |